import java.util.Scanner;
import java.util.regex.Pattern;

/** Purpose: Takes in a phone number and outputs the phone number and converts it if letters were in the phone number<br>
 *  <br>
 *  Written by Louie<br>
 *  September 2016<br>
 *  Version 1.0<br>
 *  Language: Java (Version Java 1.8.0_91)<br>
 *  <br>
 *  Phone number: 1-800-flowers <br>
 *	Expected output: 1-800-3569377<br>
 */

public class Assign3_4 {
	public static void main(String[] args) {
		Scanner input = new Scanner(System.in);
		String userPhoneNum;
		Pattern justNumeric = Pattern.compile("[^0-9,-]");
		
		//Get user input
		System.out.print("Please input a phone number: ");
		userPhoneNum = input.nextLine();
		input.close();
		
		//check to see if input is just numbers and dashes
		if(justNumeric.matcher(userPhoneNum).find()){
			String newPhoneNum = createNumber(userPhoneNum);
			System.out.println(newPhoneNum);
		}
		else{
			System.out.println(userPhoneNum);
		}
	}

/** Purpose: Does the actual number/letter phone number conversion. Takes in string and returns string.<br>
 *  <br>
 *  Written by Louie<br>
 *  September 2016<br>
 *  Version 1.0<br>
 *  Language: Java (Version Java 1.8.0_91)<br>
 */	
	public static String createNumber(String userPhoneNum) {
		String newPhoneNum = "" ;
		
		//change phone number from letters into digits
		for(int i = 0; i < userPhoneNum.length(); i++){
			switch(userPhoneNum.toLowerCase().charAt(i)) {
				case 'a':
				case 'b':
				case 'c':
					newPhoneNum += '2';
					break;
				case 'd':
				case 'e':
				case 'f':
					newPhoneNum += '3';
					break;
				case 'g':
				case 'h':
				case 'i':
					newPhoneNum += '4';
					break;
				case 'j':
				case 'k':
				case 'l':
					newPhoneNum += '5';
					break;
				case 'm':
				case 'n':
				case 'o':
					newPhoneNum += '6';
					break;
				case 'p':
				case 'q':
				case 'r':
				case 's':
					newPhoneNum += '7';
					break;
				case 't':
				case 'u':
				case 'v':
					newPhoneNum += '8';
					break;
				case 'w':
				case 'x':
				case 'y':
				case 'z':
					newPhoneNum += '9';
					break;
				default:
					newPhoneNum += userPhoneNum.charAt(i);
				}//end of switch
			}//end of for loop
		return newPhoneNum;
	}
}
